%global pypi_name curses_ex

Name:           python3-%{pypi_name}
Version:        0.3
Release:        11%{?dist}
Summary:        Provide additional curses functions

Group:          Development/Libraries
License:        MIT
URL:            https://pypi.python.org/pypi/curses_ex
Source0:        https://pypi.python.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch1:         curses_ex.license.patch

BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  ncurses-devel
Requires:       ncurses

%description
Python3 extension module to provides some functions 
not supported by standard curses package.

%prep
%setup -q -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info
%patch1

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files 
%license LICENSE
%doc README.rst
%{python3_sitearch}/*

%changelog
* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.3-11
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.3-6
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Nov 12 2015 Kalev Lember <klember@redhat.com> - 0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Fri Nov 06 2015 William Moreno <williamjmorenor at gmail.com> - 0.3-2
- From review: Remove gcc build requires
- From review: Fix License tag

* Tue Aug 04 2015 William Moreno Reyes <williamjmorenor at gmail.com> - 0.3-1
-Initial Packaging
